all: fibb_arm fibb_ccnt sec_ccnt

fibb_arm: fibb_c.c fibb.s
	gcc fibb.s fibb_c.c -o fibb_arm

fibb_ccnt: fibb_ccnt.c fibb.s timestamp.s
	gcc fibb.s timestamp.s fibb_ccnt.c -o fibb_ccnt

sec_ccnt: sec_ccnt.c timestamp.s
	gcc sec_ccnt.c timestamp.s -o sec_ccnt

clean:
	rm fibb_arm fibb_ccnt sec_ccnt
